perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Clinton Gormley <cl...@traveljury.com >
Subject Re: php/mod_perl + mysql woes
Date Fri, 20 Jul 2007 13:31:19 GMT
I've managed to get php5.2.2, mod_perl 2.0.3, apache 2.2.4 and mysql
5.0.27 working on openSuSE 10.2 x86_64.

In summary:
 - I install these MySQL packages:
        MySQL-server-standard-5.0.27-0.rhel4.x86_64.rpm
        MySQL-client-standard-5.0.27-0.rhel4.x86_64.rpm
        MySQL-devel-standard-5.0.27-0.rhel4.x86_64.rpm
        MySQL-shared-standard-5.0.27-0.rhel4.x86_64.rpm

 - Apache is configured with nothing special, eg:

        ./configure --prefix=/opt/$APACHE$SUFFIX \
                    --with-mpm=$MPM\
                    --enable-deflate=shared
                    --with-dbm=db4 \
                    --with-berkeley-db=/usr

 - mod_perl is configured as:
        perl Makefile.PL \
              MP_AP_PREFIX=/opt/$APACHE$SUFFIX \
              MP_COMPAT_1X=0 
        
 - php is configured as:

        ./configure \
            --with-apxs2=/opt/$APACHE$SUFFIX/bin/apxs \
            --with-config-file-path=/opt/apache/conf \
            --with-layout=GNU \
          ......
            --with-mysql=shared,/usr/bin/mysql_config \
          ......

Works for me.

good luck - installing PHP is a bitch :)

Clint


Mime
View raw message